PGPOOL_ADM_PCP_ATTACH_NODE(3)

NAME
pgpool_adm_pcp_attach_node - a function to attach given node ID

SYNOPSIS

pcp_attach_node returns record(integer node_id, text host, integer port, text username, text password, out node_attached boolean);

pcp_attach_node returns record(integer node_id, text pcp_server, out node_attached boolean);

DESCRIPTION

pcp_attach_node attaches a node to Pgpool-II.

ARGUMENTS

node_id
    The index of backend node to attach.

pcp_server
    The foreign server name for pcp server.

Other arguments
    See pcp_common_options(1).

EXAMPLE

Here is an example output:

        test=# SELECT * FROM pcp_attach_node(1,'localhost',11001,'t-ishii','t-ishii');
        node_attached
        ---------------
        t
        (1 row)